RuntimeInfrastructure mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

Because there are several unmanaged string types and only one managed string type, you must use a character set to specify how managed strings should be marshaled to unmanaged code. This enumeration, which provides character set options, is used by and . For a detailed description of the string marshaling and name matching behavior associated with this enumeration, see Specifying a Character Set.

Dictates which character set marshaled strings should use.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CharSet Ansi To be added.

  Marshal strings as multiple-byte character strings.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CharSet Auto To be added.

  Automatically marshal strings appropriately for the target operating system. The default is on Windows NT, Windows 2000, Windows XP, and the Windows Server 2003 family; the default is on Windows 98 and Windows Me. Although the common language runtime default is , languages may override this default. For example, by default C# marks all methods and types as .

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CharSet None To be added.

  This value is obsolete and has the same behavior as .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.CharSet Unicode To be added.

  Marshal strings as Unicode 2-byte characters.

  0
0